%global vagrant_plugin_name vagrant-libvirt
%global gem_name vagrant-libvirt

#global vagrant_spec_commit 03d88fe2467716b072951c2b55d78223130851a6

Name: %{vagrant_plugin_name}
Version: 0.12.2
Release: %mkrel 4
Summary: libvirt provider for Vagrant
License: MIT
Group: Development/Other
URL: https://github.com/vagrant-libvirt/%{vagrant_plugin_name}
Source0: https://rubygems.org/gems/%{vagrant_plugin_name}-%{version}.gem
Source1: https://raw.githubusercontent.com/%{gem_name}/%{gem_name}/%{version}/tools/create_box.sh

Requires: rubygem(fog-libvirt) >= 0.3.0
Requires: rubygem(nokogiri) >= 1.6
Requires: rubygem(diffy) >= 3.4.0
Requires: rubygem(xml-simple) >= 1.1.9
# Vagrant changed packaging scriptlets in version 1.9.1.
Requires: vagrant >= 1.9.1
Recommends: libguestfs-tools-c
BuildRequires: vagrant >= 1.9.1
BuildRequires: rubygems
BuildRequires: rubygem(bundler)
BuildRequires: rubygem(rdoc)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(fog-libvirt)
BuildRequires: rubygem(thor)
BuildRequires: rubygem(rake)
BuildRequires: ruby-devel
BuildRequires: procps-ng
BuildRequires: rubygem(googleapis-common-protos-types)
BuildRequires: rubygem(grpc)
BuildRequires: rubygem(rgl)
BuildRequires: rubygem(net-scp)
BuildArch: noarch
Provides: vagrant(%{vagrant_plugin_name}) = %{version}
Recommends: rsync

%description
libvirt provider for Vagrant.

%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
Group:   Documentation
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%vagrant_plugin_install -d %{buildroot}%{_datadir}/vagrant/gems
rm -rf %{buildroot}%{_datadir}/vagrant/gems/cache %{buildroot}%{_datadir}/%{name}
cp -a %{SOURCE1} %{buildroot}%{_datadir}/vagrant/gems/gems/%{name}-%{version}

%files
%global vagrant_plugin_instdir %{_datadir}/vagrant/gems/gems/%{name}-%{version}
%global vagrant_plugin_docdir %{_datadir}/vagrant/gems/doc/%{name}-%{version}
%dir %{vagrant_plugin_instdir}
%exclude %{vagrant_plugin_instdir}/.*
%exclude %{vagrant_plugin_instdir}/LICENSE
%{vagrant_plugin_libdir}
%{vagrant_plugin_instdir}/locales
%{vagrant_plugin_instdir}/bin
%{vagrant_plugin_instdir}/*.sh
%{_datadir}/vagrant/gems/specifications/*

%files doc
%doc LICENSE
%doc %{vagrant_plugin_docdir}
%doc %{vagrant_plugin_instdir}/README.md
%{vagrant_plugin_instdir}/spec


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.12.2-4.mga10
+ Revision: 2221515
- Mageia 10 Mass Rebuild

* Tue Mar 12 2024 bcornec <bcornec> 0.12.2-3.mga10
+ Revision: 2049524
- Adds create_box.sh script to package to help make mageia boxes for libvirt

* Fri Oct 13 2023 bcornec <bcornec> 0.12.2-2.mga10
+ Revision: 1995854
- Fixing missing deps for vagrant ssh working

* Sun Jul 02 2023 bcornec <bcornec> 0.12.2-1.mga9
+ Revision: 1963446
- Update to vagrant-libvirt 0.12.2

* Mon Aug 01 2022 bcornec <bcornec> 0.9.0-1.mga9
+ Revision: 1874177
- Update to upstream vagrant-libvirt 0.9.0

* Thu Jul 21 2022 bcornec <bcornec> 0.2.1-1.mga9
+ Revision: 1869702
- Import vagrant-libvirt
- Created package structure for vagrant-libvirt.

